/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
ul.header-nav.header-nav-main.nav.nav-left {
    display: flex;
    gap: 32px;
}

ul.header-nav.header-nav-main.nav.nav-left a {
    font-size: 20px;
    font-weight: 500;
}

.absolute-footer.dark {
    display: none;
}

.section-footer span.ux-menu-link__text:hover {
    color: #1f661b;
}

.custom-newsletter-form {
    position: relative;
    display: flex;
    align-items: center;
    border: 1px solid #a3b1c6;
    border-radius: 10px;
    padding: 5px 8px;
    background: #fff;
    max-width: 450px;
}

.custom-newsletter-form p {
    display: flex;
}

.custom-newsletter-form .wpcf7-spinner {
    display: none;
}

.custom-newsletter-form input[type="email"] {
    border: none !important;
    background: transparent !important;
    padding: 10px 15px !important;
    outline: none !important;
    box-shadow: none !important;
    flex-grow: 1;
    color: #555;
    font-size: 16px;
    margin: 0px;
}

.custom-newsletter-form input[type="submit"] {
   background-color: #1f661b !important;
    color: #fff !important;
    border: none !important;
    border-radius: 10px !important;
    padding: 0px 15px 0px 10px !important;
    font-weight: 500 !important;
    cursor: pointer;
    transition: background 0.3s ease;
    margin: 0px;
}

.custom-newsletter-form input[type="submit"]:hover {
    background-color: #15803d !important;
}

.custom-newsletter-form .wpcf7-not-valid-tip {
    position: absolute;
    bottom: -25px;
    left: 10px;
    font-size: 12px;
}

.wpcf7-response-output {
    margin: 20px 0 0 0 !important;
}

.col-under-banner-home p {
    margin-bottom: 0px;
}


.col-under-banner-home .icon-box.featured-box {
    display: flex;
    align-items: center;
}


.col-under-banner-home .col-inner:hover {
    background: #1F661B !important;
    border-color: #1F661A !important;
    box-shadow: 0px 10px 37px rgba(0, 0, 0, 0.2);

    cursor: pointer;
}

.col-under-banner-home .col-inner:hover h4 {
    color: #fff !important;
}

.col-under-banner-home .col-inner:hover .icon-inner {
    color: #fff !important;
}

.col-under-banner-home .col-inner:hover svg {
    fill: #fff !important;
}

.col-under-banner-home .col-inner:hover .icon-box-img img {
    filter: brightness(0) invert(1) !important;
}

.banner-grad {
    background: linear-gradient(180deg, rgba(212, 249, 226, 0.4) 0%, #D4F9E2 100%);
    border-radius: 32px;
}

.gallery-customer .box-image img {
    width: 100% !important;
    height: 100px !important;
    object-fit: contain !important;
    object-position: center !important;
    padding: 10px;
    background-color: transparent;
}

.gallery-customer .box-image {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100px;
    overflow: hidden;
}

.blog-home .box-image {
    border-radius: 16px 16px 0px 0px;
}

.blog-home .box-text.text-left {
    background: #fff;
    padding: 20px;
    border-radius: 0px 0px 16px 16px;
    min-height: 198px;
}

.blog-home h5.post-title.is-large a {
    font-size: 18px;
    font-weight: 600;
    color: #000;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}


h5.post-title.is-large a {
    color: #000;
    font-weight: 700;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}

.blog-home h5.post-title.is-large a:hover,
h5.post-title.is-large a:hover {
   color: #1f661b;
}

.blog-vertical-small h5.post-title.is-large a {
    font-size: 14px;
}

.blog-vertical-small .col.post-item {
    margin-bottom: -33px;
}

.blog-vertical-small .post-meta-custom {
    font-size: 12px !important;
}

.blog-home .post-meta {
    font-size: 12px;
    color: #000;
    padding: 8px 0px;
}

.img-radius img {
    border-radius: 16px;
}

.row-history {
    position: relative;
}

.row-history::before {
    content: "";
    position: absolute;
    top: -27px;
    bottom: 0;
    left: 50%;
    width: 5px;
    background: #E8E8E8;
    transform: translateX(-50%);
}

.row-history>.col:first-child .col-inner>.row>.col:nth-child(1)::after,
.row-history>.col:first-child .col-inner>.row>.col:nth-child(2)::after,
.row-history>.col:first-child .col-inner>.row>.col:nth-child(3)::after,
.row-history>.col:first-child .col-inner>.row>.col:nth-child(4)::after {
    content: "";
    position: absolute;
    left: calc(100% + 75px);
    top: 10px;
    width: 24px;
    height: 24px;
    background: #3a785d;
    border-radius: 50%;
    transform: translateX(63px);
    z-index: 3;
}


.row-history>.col:last-child .col-inner>.row>.col:nth-child(5)::after {
    content: "";
    position: absolute;
    left: calc(100% + 75px);
    top: -18px;
    width: 24px;
    height: 24px;
    background: #3a785d;
    border-radius: 50%;
    transform: translateX(-711px);
    z-index: 3;
}

.accordion .toggle {
    border-radius: 999px;
    height: 1.5em;
    left: auto;
    margin-right: 5px;
    position: absolute;
    top: .3em;
    transform-origin: 50% 47%;
    width: 2.3em;
    right: 0px;
}

a.accordion-title.plain {
    padding-left: 20px;
}




.accordion-item {
    background-color: #eeeeee;
    border-radius: 20px;
    margin-bottom: 15px;
    overflow: hidden;
    transition: all 0.3s ease;
}

.accordion-title {
    display: flex;
    align-items: center;
    padding: 20px 25px;
    text-decoration: none;
    color: #333;
    font-weight: 500;
    position: relative;
    cursor: pointer;
}

.accordion-title .toggle {
    order: 2;
    margin-left: auto;
    width: 42px;
    height: 40px;
    background-color: #bdbdbd;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    pointer-events: none;
    margin-top: 6px;
}

.accordion-title span {
    order: 1;
    font-size: 16px;
}

.accordion-item:has(a[aria-expanded="true"]),
.accordion-item:hover {
    background-color: #fff;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.05);
}

.accordion-item:has(a[aria-expanded="true"]) .accordion-title,
.accordion-item:hover .accordion-title {
    background-color: #27a84a;
    color: #fff;
    border-radius: 20px;
}

.accordion-item:has(a[aria-expanded="true"]) .toggle,
.accordion-item:hover .toggle {
    background-color: #ffffff;
    color: #27a84a;
    transform: rotate(180deg);
}

.accordion-inner {
    padding: 0 25px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out, padding 0.3s ease;
}

.accordion-item:has(a[aria-expanded="true"]) .accordion-inner {
    max-height: 500px;
    padding: 25px;
}

.accordion-inner p {
    margin: 0;
    line-height: 1.6;
    color: #333;
}


.nav-dropdown-has-arrow li.current-dropdown.has-dropdown:after,
.nav-dropdown-has-arrow li.current-dropdown.has-dropdown:before {
    display: none;
}

.nav-dropdown-has-border .nav-dropdown {
    border: unset;
}

.nav-dropdown-has-border .nav-dropdown {
    border: unset;
    padding: 10px;
}

.sub-menu a {
    color: #000 !important;
    font-size: 18px !important;
}

.sub-menu a:hover {
    color: #3A785D !important;
    padding-left: 5px !important;
}

.custom-breadcrumb {
    font-family: sans-serif;
    font-size: 15px;
    padding: 10px 0;
    color: #666;
}

.custom-breadcrumb a {
    text-decoration: none;
    color: #000;
}

.custom-breadcrumb a:hover,
.menu-sidebar span.ux-menu-link__text:hover,
.post-title a:hover {
    color: #27a84a;
}

.custom-breadcrumb .sep {
    margin: 0 10px;
    color: #ccc;
    font-weight: 300;
}

.custom-breadcrumb .current {
    color: #666;
    font-weight: 400;
}

.menu-sidebar span.ux-menu-link__text {
    font-size: 14px;
    color: #000;
}

.menu-sidebar a.ux-menu-link__link.flex {
    margin-bottom: -8px;
}

.custom-related-posts {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.post-item-sidebar {
    display: flex;
    align-items: flex-start;
    gap: 15px;
    padding-bottom: 15px;
    border-bottom: 1px dashed #eee;
}

.post-item-sidebar:last-child {
    border-bottom: none;
}

.post-thumb img {
    width: 275px;
    height: 100px;
    object-fit: cover;
    border-radius: 4px;
}

.post-info {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.post-title {
    margin: 0;
    font-size: 15px;
    line-height: 1.4;
    font-weight: bold;
    text-transform: uppercase;

}

.post-title a {
    color: #000;
    text-decoration: none;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
}

.post-meta-sidebar {
    font-size: 13px;
    color: #666;
    display: flex;
    align-items: center;
    gap: 15px;
}

.meta-views {
    display: flex;
    align-items: center;
    gap: 4px;
}

.page-wrapper {
    padding-bottom: 30px;
    padding-top: 0px;
}

.entry-header-text {
    text-align: left;
    padding: 30px 0px 0px 0px !important;
}

h1.entry-title {
      color: #1f661b;
    font-weight: 600;
    font-size: 22px;
}

.blog-single .large-8.col.medium-col-first {
    padding: 30px 0px;
}

.custom-contact-form {
    max-width: 600px;
}

.form-row {
    margin-bottom: 20px;
}

.split-width {
    display: flex;
    gap: 20px;
}

.custom-contact-form .form-col {
    flex: 1;
}

.custom-contact-form input[type="text"],
.custom-contact-form input[type="email"],
.custom-contact-form input[type="tel"],
.custom-contact-form textarea {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #e1e1e1;
    background-color: #fcfcfc;
    color: #333;
    font-size: 14px;
    border-radius: 2px;
    box-sizing: border-box;
    transition: border-color 0.3s ease;
    height: 45px;
    margin-bottom: 0px;
}

.custom-contact-form input:focus,
.custom-contact-form textarea:focus {
    border-color: #28a745;
    outline: none;
}

.custom-contact-form textarea {
    height: 150px;
    resize: vertical;
}

.custom-contact-form input[type="submit"] {
        background-color: #1f661b;
    color: #ffffff;
    border: none;
    padding: 6px 40px;

    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    border-radius: 2px;
    transition: background-color 0.3s ease;
    text-transform: uppercase;
}

.custom-contact-form input[type="submit"]:hover {
    background-color: #15803d;
}

@media (max-width: 600px) {
    .split-width {
        flex-direction: column;
        gap: 20px;
    }
}

.wpcf7-form-control-wrap {
    display: block;
    width: 100%;
}

.row-sticky,
.product-main .row.content-row {
    display: flex !important;
    align-items: flex-start !important;
    flex-wrap: wrap;
    overflow: visible !important;
}

.row-sticky>.col,
.product-main .row.content-row>.col {
    position: -webkit-sticky;
    position: sticky;
    top: 90px;
    z-index: 10;
    height: fit-content;
}

.row-sticky .col-inner,
.product-main .row.content-row .col-inner {
    position: relative;
}

iframe {
    margin-bottom: -30px;
}

a.woocommerce-LoopProduct-link.woocommerce-loop-product__link {
    color: #000;
    font-weight: 600;
    font-size: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-word;
    margin: 10px 0px 18px;
}

.custom-breadcrumb a:hover,
.menu-sidebar span.ux-menu-link__text:hover,
.post-title a:hover,
a.woocommerce-LoopProduct-link.woocommerce-loop-product__link:hover {
       color: #1F661B;

}

span.price span {
    font-size: 18px;
   color: #1F661A;
}


.product-small .box-text.box-text-products {
    background: #F6F6F6;
    padding: 20px;
    border-radius: 0px 0px 16px 16px;
}

.product-small .box-image {
    padding-top: 100%;
    position: relative;
}

.product-small .box-image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-footer {
    margin-bottom: 30px;
}

h1.product-title.product_title.entry-title {
    font-size: 25px;
}


.product-info .price.product-page-price {
    padding: 15px 0px;
}

.product-small .price-wrapper {
    padding: 0px 0px 6px;
}

a.added_to_cart {
    text-align: right;
}

span.wpcf7-form-control.wpcf7-radio {
    display: flex;
    justify-content: center;
    color: #fff;
}

.custom-order-form input.wpcf7-form-control.wpcf7-submit.has-spinner {
    background: #31966A;
}


.custom-order-form .form-submit {
    margin-bottom: -35px;
}



@media only screen and (max-width: 48em) {

    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    .col-under-banner-home .icon-box-img {
        width: 50px !important;
    }

    i.icon-menu,
    i.icon-shopping-cart {
        color: #3a785d;
    }


    .row-history::before {
        display: none;
    }


    .row-history>.col:first-child .col-inner>.row>.col:nth-child(1)::after,
    .row-history>.col:first-child .col-inner>.row>.col:nth-child(2)::after,
    .row-history>.col:first-child .col-inner>.row>.col:nth-child(3)::after,
    .row-history>.col:first-child .col-inner>.row>.col:nth-child(4)::after {
        display: none;
    }

    .row-sticky>.col,
    .product-main .row.content-row>.col {
        position: -webkit-sticky;
        position: unset;
        top: 90px;
        z-index: 10;
        height: fit-content;
    }

    .blog-single .large-8.col.medium-col-first {
        padding: 30px 15px;
    }
}